# Type Alias CapacitorCfg

type CapacitorCfg = {
appName: string;
appVersion: string;
buildDir: string;
buildType: "debug" | "release";
iosParams?: IosCfg;
isUnsecureKeyStore: boolean;
keyStoreAlias: string;
keyStorePassword: string;
keyStorePath: string;
platforms: string[];
serverURL: string;
useDocker?: boolean;
}

- Defined in utils/capacitor-helper.ts:15

##### Index

### Properties

appName
appVersion
buildDir
buildType
iosParams?
isUnsecureKeyStore
keyStoreAlias
keyStorePassword
keyStorePath
platforms
serverURL
useDocker?

## Properties

### appName

appName: string

- Defined in utils/capacitor-helper.ts:19

### appVersion

appVersion: string

- Defined in utils/capacitor-helper.ts:20

### buildDir

buildDir: string

- Defined in utils/capacitor-helper.ts:16

### buildType

buildType: "debug" | "release"

- Defined in utils/capacitor-helper.ts:18

### `Optional` iosParams

iosParams?: IosCfg

- Defined in utils/capacitor-helper.ts:29

### isUnsecureKeyStore

isUnsecureKeyStore: boolean

- Defined in utils/capacitor-helper.ts:27

### keyStoreAlias

keyStoreAlias: string

- Defined in utils/capacitor-helper.ts:25

### keyStorePassword

keyStorePassword: string

- Defined in utils/capacitor-helper.ts:26

### keyStorePath

keyStorePath: string

- Defined in utils/capacitor-helper.ts:24

### platforms

platforms: string[]

- Defined in utils/capacitor-helper.ts:17

### serverURL

serverURL: string

- Defined in utils/capacitor-helper.ts:21

### `Optional` useDocker

useDocker?: boolean

- Defined in utils/capacitor-helper.ts:23